## gate.jape
Class MutableBoolean

    java.lang.Object
      |
      +--gate.jape.MutableBoolean

public class MutableBoolean
extends Object

A mutable wrapper for bool, so you can return bool values via a method parameter. If public data members bother you I suggest you get a hobby, or have more sex or something.

Field Summary
`private static boolean` `DEBUG` Debug flag
`boolean` `value`

Constructor Summary
`MutableBoolean()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### value

    public boolean value

Constructor Detail

### MutableBoolean

    public MutableBoolean()